Активиране на входящ webhook за асистент
curl --request POST \
--url https://call.aiployees.com/api/user/assistants/enable-inbound-webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": 123,
"webhook_url": "<string>"
}
'import requests
url = "https://call.aiployees.com/api/user/assistants/enable-inbound-webhook"
payload = {
"assistant_id": 123,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123, webhook_url: '<string>'})
};
fetch('https://call.aiployees.com/api/user/assistants/enable-inbound-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Webhook enabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
],
"webhook_url": [
"The webhook url field is required."
]
}
}
Асистенти
Активиране на входящ webhook за асистент
Активиране на уведомления чрез входящ webhook за конкретен асистент
POST
/
user
/
assistants
/
enable-inbound-webhook
Активиране на входящ webhook за асистент
Този endpoint активира уведомленията чрез входящ webhook за асистент, позволявайки ви да получавате актуализации в реално време относно завършването на входящи обаждания и данните.
Request Body
integer
required
ID-то на асистента, за който да се активира webhook-ът
string
required
URL-то, където ще се изпращат webhook уведомленията
Response
string
Съобщение за успех, потвърждаващо че webhook-ът е активиран
array
Празен масив (запазен за бъдеща употреба)
Error Responses
Show Error Response
Show Error Response
string
Съобщение за грешка, когато асистентът не е намерен или не принадлежи на автентикирания потребител
{
"message": "Webhook enabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
],
"webhook_url": [
"The webhook url field is required."
]
}
}
⌘I

